## mew-beta 7.0.50~0.20100105

=== info/Makefile ===
###
### Makefile for info
###
### Author:  Kazu Yamamoto <Kazu@Mew.org>
### Created: Aug 22, 1999
### Revised: 

###
### (1) make EMACS=xemacs
### (2) make install
###

################################################################
##
## EDIT THE FOLLOWINGS
##

prefix=/usr/local
infodir=$(prefix)/info

EMACS=emacs

INSTALLINFO = `which install-info`
#INSTALLINFO = /usr/local/bin/install-info

#INSTALLINFO_OPTIONS = --section Emacs Emacs
#INSTALLINFO_JOPTIONS =
#infodir = 
INSTALLINFO_ARGS  = --info-dir=$(infodir) mew.info
#INSTALLINFO_ARGS  = mew.info 
INSTALLINFO_JARGS = --info-dir=$(infodir) mew.ja.info


RM = rm -f
MKDIR = mkdir -p
TOUCH = touch
# To save Emacses on Windows
PWD =

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

DESTDIR =

all: info
info:
	sed -e 's/@setfilename mew.ja.info/@setfilename mew.info/' \
	    -e 's/@set jp/@set us/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.info*
	$(TOUCH) mew.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

jinfo:
	sed -e 's/@setfilename mew.info/@setfilename mew.ja.info/' \
	    -e 's/@set us/@set jp/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.ja.info*
	$(TOUCH) mew.ja.info
	$(EMACS) -batch -q -no-site-file -l texinfmt \
		-f batch-texinfo-format mew.texi

install: install-info
install-info:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_OPTIONS) $(INSTALLINFO_ARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi

install-jinfo:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.ja.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_JOPTIONS) $(INSTALLINFO_JARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi
##
## End of Makefile
##

=== bin/hs/Makefile ===
BASE = smew
SRC = $(BASE).hs
CLN = $(BASE).hi $(BASE).o $(BASE)

all: $(BASE)

$(BASE): $(SRC)
	ghc --make -Wall $(SRC)
	strip $(BASE)

clean: 
	rm -rf $(CLN)

## mew-beta 7.0.50~0.20100430

=== debian/changelog ===
mew-beta (7.0.50~0.20100430-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2010-04-30,
    kazu-yamamoto-Mew-01eac29)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 30 Apr 2010 22:58:18 +0900

mew-beta (7.0.50~0.20100414-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2010-04-14,
    kazu-yamamoto-Mew-1be95ff)
  * debian/patches/20_mew-contrib.patch: New file, contribution files to
    Mew. (downloaded from http://github.com/kazu-yamamoto/mew-contrib on
    2010-04-13, kazu-yamamoto-mew-contrib-c0f1554)
  * debian/rules:
    - Don't install contrib/00*.
    - Don't handle CVS stuff.
  * debian/control: Update Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 18 Apr 2010 17:41:29 +0900

mew-beta (7.0.50~0.20100105-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2010-01-05)
  * debian/control:
    - Add `emacs-snapshot' to Depends. (closes: #559114)
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Update Standards-Version to 3.8.3.
  * debian/dirs.in, debian/emacsen-install.in, debian/rules: Don't install
    contrib/*.el if not found.
  * debian/rules: Install *dot.* instead of mew.dot.*.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 07 Jan 2010 00:58:26 +0900

mew-beta (6.2.52-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2009-08-12)
  * debian/control:
    - Add emacs23 to Depends.
    - Set Section of mew-beta to lisp.
    - Update Standards-Version to 3.8.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 12 Aug 2009 21:59:06 +0900

mew-beta (6.2.51-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2009-02-16)
    - Guarding broken UTF-7. (closes: #500442)
    - Implementing encoding of format=flowed.
  * debian/mew-nmz.el: Version 2009-01-30, downloaded from
    `http://www.meadowy.org/~shirai/elips/mew-nmz.el.gz'.
  * debian/emacsen-*: Rewritten.
    - Set mew-unix-browser to "/usr/bin/sensible-browser" in the startup.
  * debian/rules:
    - Add $PKGSNAME and remove $VERSION.
    - Use dh_prep instead of `dh_clean -k'.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control: Update Standards-Version to 3.8.0.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Feb 2009 21:30:50 +0900

mew-beta (6.0.51-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-05-13)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 20 May 2008 22:30:31 +0900

mew-beta (6.0.51~0.20080505-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-05-05)
  * debian/mew-nmz.el: Version 2008-04-06, downloaded from
    `http://www.meadowy.org/~shirai/elips/mew-nmz.el.gz'.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 06 May 2008 21:19:02 +0900

mew-beta (6.0.51~0.20080421-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-04-21)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 24 Apr 2008 00:28:17 +0900

mew-beta (6.0.51~0.20080415-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-04-15)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 15 Apr 2008 20:02:20 +0900

mew-beta (6.0.50~0.20080411-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-04-11)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 12 Apr 2008 14:20:05 +0900

mew-beta (5.2.54-2) unstable; urgency=low

  * debian/control: Build-Depends: debhelper (>= 6).

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 21 Mar 2008 22:43:10 +0900

mew-beta (5.2.54-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-03-18)
  * debian/compat: 5 -> 6.
  * debian/emacsen-install.in: Load `cl' when byte-compiling.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 18 Mar 2008 21:58:43 +0900

mew-beta (5.2.53+0.20080226-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2008-02-26)
  * debian/mew-nmz.el: Version 2008-02-28, downloaded from
    `http://www.meadowy.org/~shirai/elisp/mew-nmz.el.gz'.
  * debian/emacsen-*: Remove XEmacs stuff.
  * debian/control: Depend on mew-beta-bin (>= 5.2.53).

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 29 Feb 2008 23:53:47 +0900

mew-beta (5.2.53+0.20080220-1) experimental; urgency=low

  * New upstream release. (CVS trunk on 2008-02-20)
  * debian/cmew.1, debian/smew.1: Removed. (Merged upstream)
  * debian/rules:
    - Don't install debian/cmew.1 and debian/smew.1.
    - Don't handle *.rb.
  * debian/emacsen-startup.in: Don't set mew-prog-smew.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Feb 2008 23:49:57 +0900

mew-beta (5.2.53-2) experimental; urgency=low

  * debian/copyright: Updated.
  * debian/cmew.1, debian/smew.1: Revised SYNOPSIS.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Feb 2008 20:04:00 +0900

mew-beta (5.2.53-1) experimental; urgency=low

  * New upstream release. (CVS trunk on 2008-02-13)
    - XEmacs is no longer supported.  Use Mew 5.2 for XEmacs.
  * debian/mew-nmz.el: Version 2007-12-24, downloaded from
    `http://www.meadowy.org/~shirai/elisp/mew-nmz.el.gz'.
  * debian/control:
    - Depend on `emacs | emacs22 | emacs21' instead of `emacs | emacsen'
      to not support XEmacs.
    - Add cmew and smew to -bin Description.
    - Add `ruby, libsqlite3-ruby' to -bin Recommends.
    - Move `Homepage:' from Description to the header.
  * debian/rules:
    - Don't use .rb extension for cmew and smew.
    - Don't use the rubygems feature.
    - Install debian/cmew.1 and debian/smew.1.
    - Install debian/mew-nmz.el.
  * debian/emacsen-startup.in: Set mew-prog-smew.
  * debian/emacsen-install.in: Don't byte-compile with XEmacs.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Feb 2008 17:00:15 +0900

mew-beta (5.2.52-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-12-03)
  * debian/control:


=== debian/control ===
Source: mew-beta
Section: mail
Priority: extra
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
Standards-Version: 3.8.4
Homepage: http://www.Mew.org/

Package: mew-beta
Section: lisp
Architecture: all
Depends: mew-beta-bin (>= 5.2.53), emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
Replaces: mew
Conflicts: mew
Provides: mew, mail-reader, imap-client, news-reader
Description: mail reader supporting PGP/MIME for Emacs (development version)
 Mew (Messaging in the Emacs World) is a user interface for text messages,
 multimedia messages (MIME), news articles and security functionality
 including PGP, S/MIME, SSH and SSL.
 .
 The features of Mew are as follows:
 .
  - POP, SMTP, NNTP and IMAP are supported.
  - You can easily display a very complicated structured message.
  - You can start to read messages before they are all fully listed.
  - For refiling, default folders are neatly suggested.
  - You can complete field names, e-mail addresses, receiver's names,
    domain names and folder names.
  - You can easily search messages with keywords etc.
  - Thread, a mechanism to display the flow of messages, is supported.
 .
 This package provides a development snapshot version of Mew.  To use a
 stable version of Mew, install the mew package instead of this package.

Package: mew-beta-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, libsqlite3-ruby
Enhances: mew-beta, gnupg-agent
Replaces: mew-bin
Conflicts: mew-bin, mew-beta (<< 4)
Provides: mew-bin, mail-reader, pinentry
Description: external commands for Mew (development version)
 The mew-beta-bin package contains external commands for the mew-beta package.
 .
  - mewencode: encode/decode MIME objects
  - mewl: extract necessary fields from messages stored in folders
  - incm: incoporate new mails from maildir or mbox to Mew's inbox folder
  - mewest: update indexes of Hyper Estraier
  - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
  - mewstunnel: wrapper script for using stunnel
  - cmew: create Mew's database file
  - smew: search related messages from Mew's database file

## mew-beta 7.0.50~6.3.50+0.20100901

=== debian/changelog ===
mew-beta (7.0.50~6.3.50+0.20100901-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2010-09-01,
    kazu-yamamoto-Mew-c4e435b, version down to 6.x)
  * debian/patches/10_mew-nmz.patch: Update to version 2010-06-08,
    downloaded from <http://www.meadowy.org/~shirai/elips/mew-nmz.el.gz>. 
  * debian/patches/30_ruby1.8.patch: Patch to use ruby1.8 instead of ruby.
  * debian/control:
    - Recommends ruby1.8 instead of ruby.
    - Update Standards-Version to 3.9.1.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 16 Oct 2010 01:58:45 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.Mew.org/
 
 Package: mew-beta
@@ -36,7 +36,7 @@
 Package: mew-beta-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, libsqlite3-ruby
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby1.8, libsqlite3-ruby
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
 Conflicts: mew-bin, mew-beta (<< 4)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=mew

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

configure-stamp: configure
	dh_testdir
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
	ls -1 *dot.* > debian/examples
	ls -1 info/mew.*info* > debian/info
	touch $@

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE) bin
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-arch install-indep
install-indep: DH_OPTIONS=-i
install-indep: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp mew*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)
	for f in debian/mew*.el; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME); \
	  fi; \
	done
	for f in 00changes.*; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
	  fi; \
	done
	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
	if [ -d contrib ]; then \
	  mkdir debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/contrib; \
	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/contrib; \
	fi
	for f in alpha beta; do \
	  if [ -d "$$f" ]; then \
	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \
	  fi; \
	done

install-arch: DH_OPTIONS=-a
install-arch: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE)-bin install-bin
	install -m 755 debian/mewstunnel debian/$(PACKAGE)-bin/usr/bin
	install -m 644 debian/mewstunnel.1 debian/$(PACKAGE)-bin/usr/share/man/man1
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewdecode
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewcat
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewdecode.1*
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewcat.1*

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman 
	dh_installinfo
	dh_installchangelogs 00changes
	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/emacs/site-lisp/$(PKGSNAME)/etc
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs 00changes
	dh_strip
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewdecode.1
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch

## mew-beta 7.0.50~6.3.50+0.20110131

=== debian/changelog ===
mew-beta (7.0.50~6.3.50+0.20110131-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2011-01-31,
    kazu-yamamoto-Mew-b4d2ded)
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Feb 2011 17:20:30 +0900

## mew-beta 7.0.50~6.3.50+0.20110325

=== debian/changelog ===
mew-beta (7.0.50~6.3.50+0.20110325-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2011-03-25,
    kazu-yamamoto-Mew-6c59817)
  * debian/copyright: Switch to the DEP-5 format.
  * debian/control: Update Standards-Version to 3.9.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 04 May 2011 17:50:09 +0900

## mew-beta 7.0.50~6.3.51+0.20110629

=== debian/changelog ===
mew-beta (7.0.50~6.3.51+0.20110629-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2011-06-29,
    kazu-yamamoto-Mew-0f89b77)
  * debian/patches/010_contrib.patch: Sync with the upstream on 2011-06-21,
    kazu-yamamoto-mew-contrib-d7373af.
    - Integrate mew-nmz into contrib.
    - Add mew-absfilter.el to contrib from <https://github.com/tabmore/mew>.
  * debian/patches/*: Renumbered.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 29 Jun 2011 20:58:20 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.Mew.org/
 
 Package: mew-beta

## mew-beta 7.0.50~6.4+0.20111019

=== debian/changelog ===
mew-beta (7.0.50~6.4+0.20111019-2) unstable; urgency=low

  * debian/control (mew-beta-bin): Recommends `ruby | ruby-interpreter'.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 14 Nov 2011 00:19:54 +0900

mew-beta (7.0.50~6.4+0.20111019-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2011-10-19,
    kazu-yamamoto-Mew-67b209a, same as version 6.4)
    - Supporting Ruby 1.9.
  * debian/control (mew-beta-bin): Recommends ruby | ruby1.8 | ruby1.9.1.
  * debian/patches/020_ruby1.8.patch: Removed.
  * debian/mewstunnel: Fallback to /usr/local/sbin/stunnel. 
  * debian/copyright:
    - Fix missing-license-paragraph-in-dep5-copyright.
    - Updated for mewstunnel.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 19 Oct 2011 22:41:13 +0900

mew-beta (7.0.50~6.3.51+0.20110819-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2011-08-19,
    kazu-yamamoto-Mew-f6a4ae4)
    - Catching up to stunnel 4.39. (closes: #639295)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 31 Aug 2011 22:55:37 +0900

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Package: mew-beta-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby1.8, libsqlite3-ruby
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, libsqlite3-ruby
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
 Conflicts: mew-bin, mew-beta (<< 4)

## mew-beta 7.0.50~6.4.50+0.20120307

=== debian/changelog ===
mew-beta (7.0.50~6.4.50+0.20120307-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2012-03-07,
    kazu-yamamoto-Mew-093cd3a, same as version 6.4.50)
    - Supporting stunnel 4.51.
  * debian/copyright: Update copyright-format versoin to 1.0.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Mar 2012 22:36:18 +0900

## mew-beta 7.0.50~6.5~rc2+0.20120405

=== debian/changelog ===
mew-beta (7.0.50~6.5~rc2+0.20120405-2) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags
  * debian/control: Add emacs24 to Depends

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jul 2012 00:05:19 +0900

mew-beta (7.0.50~6.5~rc2+0.20120405-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2012-04-05,
    kazu-yamamoto-Mew-a2f0b51, same as version 6.5rc2)
  * debian/patches/020_cmew-blob.patch: Removed. (merged upstream)
  * debian/patches/030_stunnel453.patch: Removed. (merged upstream)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Apr 2012 23:55:43 +0900

mew-beta (7.0.50~6.4.50+0.20120307-2) unstable; urgency=low

  * debian/patches/020_cmew-blob.patch: New patch from upstream to prevent
    that Ruby 1.9 stores blob data into id.db.
  * debian/patches/030_stunnel453.patch: New patch to support stunnel 4.53
    from [mew-dist 29486] on 2012-03-28, provided by TAKANO Yuji.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 31 Mar 2012 00:16:40 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.Mew.org/
 
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew

## mew-beta 7.0.50~6.5%2B0.20140128

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,15 @@
 PACKAGE=`cat debian/PACKAGE`
 PKGSNAME=mew
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-INSTALL_PROGRAM += -s
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
+CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
+CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
+LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
 
 configure-stamp: configure
 	dh_testdir
-	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
 	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs

## mew-beta 7.0.50~6.5+0.20130421

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20130421-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20130421
  * debian/copyright: Updated
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 May 2013 23:46:40 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew-beta.git
 Homepage: http://www.Mew.org/
 
 Package: mew-beta

## mew-beta 7.0.50~6.5+0.20130622

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20130622-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20130622
  * Set Homepage to http://www.mew.org/

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 14:27:18 +0900

## mew-beta 7.0.50~6.5+0.20130705

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20130705-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20130705

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 18:42:19 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew-beta.git
-Homepage: http://www.Mew.org/
+Homepage: http://www.mew.org/
 
 Package: mew-beta
 Section: lisp

## mew-beta 7.0.50~6.5+0.20130814

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20130814-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20130814
  * New patch 900_changes.patch to update 00changes
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 15 Aug 2013 00:44:07 +0900

## mew-beta 7.0.50~6.5+0.20131120

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20131120-4) unstable; urgency=low

  * Workaround for emacsen-common <2 and debhelper <9.20131104

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 26 Dec 2013 23:16:43 +0900

mew-beta (7.0.50~6.5+0.20131120-3) unstable; urgency=low

  * Add workaround to compatible with emacsen-common <2.0.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 16:05:32 +0900

mew-beta (7.0.50~6.5+0.20131120-2) unstable; urgency=low

  * New patch 030_cache-long-scans.patch due to emacs-snapshot crash

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 02 Dec 2013 23:48:50 +0900

mew-beta (7.0.50~6.5+0.20131120-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20131120
  * Update 020_netpbm.patch
  * Update 900_changes.patch
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 01 Dec 2013 23:10:53 +0900

mew-beta (7.0.50~6.5+0.20131020-1) unstable; urgency=low

  * Imported Upstream version 7.0.50~6.5+0.20131020
  * Replace libsqlite3-ruby by ruby-sqlite3 (closes: #726747)
  * New patch 020_netpbm.patch, because Debian netpbm is too old
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 20 Oct 2013 14:41:17 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew-beta.git
 Homepage: http://www.mew.org/
@@ -38,7 +38,7 @@
 Package: mew-beta-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, libsqlite3-ruby
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, ruby-sqlite3
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
 Conflicts: mew-bin, mew-beta (<< 4)

## mew-beta 7.0.50~6.5+0.20140128

=== debian/changelog ===
mew-beta (7.0.50~6.5+0.20140128-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.5+0.20140128
  * Update 900_changes.patch
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 Feb 2014 22:10:01 +0900

mew-beta (7.0.50~6.5+0.20140119-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.5+0.20140119
  * Update 900_changes.patch
  * Update debian/copyright
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 19 Jan 2014 23:59:46 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Depends: mew-beta-bin (>= 5.2.53), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
-Conflicts: mew
+Conflicts: mew, emacsen-common (<< 2.0.0)
 Provides: mew, mail-reader, imap-client, news-reader
 Description: mail reader supporting PGP/MIME for Emacs (development version)
  Mew (Messaging in the Emacs World) is a user interface for text messages,

## mew-beta 7.0.50~6.6+0.20140604

=== debian/changelog ===
mew-beta (7.0.50~6.6+0.20140604-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6+0.20140604
  * Update 900_changes.patch
  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jun 2014 00:01:50 +0900

mew-beta (7.0.50~6.6+0.20140508-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6+0.20140508
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 19 May 2014 21:33:45 +0900

mew-beta (7.0.50~6.6~rc3+0.20140425-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6~rc3+0.20140425
  * Temporarily drop 900_changes.patch
  * Do not fail when 00changes is not found

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Apr 2014 00:23:08 +0900

mew-beta (7.0.50~6.6~rc2+0.20140424-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6~rc2+0.20140424
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 24 Apr 2014 23:19:08 +0900

mew-beta (7.0.50~6.6~rc1+0.20140416-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6~rc1+0.20140416
  * Update 900_changes.patch
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 16 Apr 2014 18:55:55 +0900

mew-beta (7.0.50~6.5+0.20140411-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.5+0.20140411
    - Support stunnel 5.x
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Update 020_netpbm.patch to follow mew-prog-pamscale
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 11 Apr 2014 23:44:50 +0900

## mew-beta 7.0.50~6.6+0.20140902

=== debian/changelog ===
mew-beta (7.0.50~6.6+0.20140902-1+deb8u1) jessie; urgency=medium

  * New patch 060_encrypt.patch to fix incorrect keys in encryption
    (closes: #784722)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 08 May 2015 11:27:12 +0900

mew-beta (7.0.50~6.6+0.20140902-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6+0.20140902
  * Update 900_changes.patch
  * Update mewstunnel to mention stunnel 5.x is provided by stunnel4
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 03 Sep 2014 21:32:18 +0900

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
-Conflicts: mew, emacsen-common (<< 2.0.0)
+Conflicts: mew
 Provides: mew, mail-reader, imap-client, news-reader
 Description: mail reader supporting PGP/MIME for Emacs (development version)
  Mew (Messaging in the Emacs World) is a user interface for text messages,
@@ -38,7 +38,7 @@
 Package: mew-beta-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby | ruby-interpreter, ruby-sqlite3
+Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, ruby-sqlite3
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
 Conflicts: mew-bin, mew-beta (<< 4)

## mew-beta 7.0.50~6.6+0.20150508

=== debian/changelog ===
mew-beta (7.0.50~6.6+0.20150508-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.6+0.20150508
    - Fix incorrect keys in encryption
    - Fix bashism in mewest (closes: #772311)
  * Update 900_changes.patch
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 08 May 2015 10:05:40 +0900

## mew-beta 7.0.50~6.7~rc1+0.20150513

=== debian/changelog ===
mew-beta (7.0.50~6.7~rc1+0.20150513-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.7~rc1+0.20150513
  * Update debian/copyright
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 13 May 2015 23:37:21 +0900

## mew-beta 7.0.50~6.7~rc2+0.20150703

=== debian/changelog ===
mew-beta (7.0.50~6.7~rc2+0.20150703-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.7~rc2+0.20150703
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 03 Jul 2015 21:00:51 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mew-beta.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mew-beta.git
 Homepage: http://www.mew.org/
 
 Package: mew-beta

## mew-beta 7.0.50~6.7%2B0.20150818

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/mew-beta.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew-beta.git
 Homepage: http://www.mew.org/
 
 Package: mew-beta
@@ -48,7 +49,7 @@
  .
   - mewencode: encode/decode MIME objects
   - mewl: extract necessary fields from messages stored in folders
-  - incm: incoporate new mails from maildir or mbox to Mew's inbox folder
+  - incm: incorporate new mails from maildir or mbox to Mew's inbox folder
   - mewest: update indexes of Hyper Estraier
   - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
   - mewstunnel: wrapper script for using stunnel

## mew-beta 7.0.50~6.7+0.20150818

=== debian/changelog ===
mew-beta (7.0.50~6.7+0.20150818-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.7+0.20150818
  * Update 900_changes.patch
  * Update Vcs-Browser to https
  * Typo fix in Description
  * Generate mew.*info* from mew.texi
  * Include old mew.texi as a source of upstream mew.*info*

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Nov 2015 00:19:42 +0900

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/pre/~pre/" \
http://www.mew.org/Beta/mew-([0-9].*)\.tar\.gz debian uupdate

## mew-beta 7.0.50~6.7+0.20161012

=== debian/changelog ===
mew-beta (7.0.50~6.7+0.20161012-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.7+0.20161012
  * Update 900_changes.patch
  * Suggest gnupg | gnupg2 | gnupg1
  * Explicitly prefer gpg2 in emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 15 Oct 2016 17:22:26 +0900

mew-beta (7.0.50~6.7+0.20160905-1) unstable; urgency=medium

  * Imported Upstream version 7.0.50~6.7+0.20160905
  * Update 900_changes.patch
  * Update debian/copyright
  * Update Standards-Version to 3.9.8
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 11:49:40 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.6
+Build-Depends-Indep: emacs | emacs25 | emacs24 | emacs23 | emacs22
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew-beta.git
 Homepage: http://www.mew.org/
@@ -12,8 +12,8 @@
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: w3m-el, gnupg, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew
 Provides: mew, mail-reader, imap-client, news-reader

## mew-beta 7.0.50~6.7+0.20161225

=== debian/changelog ===
mew-beta (7.0.50~6.7+0.20161225-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.7+0.20161225
  * Update 900_changes.patch
  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 11:28:25 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev (>= 1:1.1.3)
-Build-Depends-Indep: emacs | emacs25 | emacs24 | emacs23 | emacs22
+Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1:1.1.3)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew-beta.git
@@ -12,7 +12,7 @@
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew

## mew-beta 7.0.50~6.7+0.20170719

=== bin/hs/Makefile ===
all:
	cabal configure
	cabal build

install:
	cabal install $(OPT)

clean: 
	rm -rf dist

=== debian/changelog ===
mew-beta (7.0.50~6.7+0.20170719-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.7+0.20170719
  * Update 900_changes.patch
  * Update debhelper compat version to 10
  * Update Priority to optional
  * Update Vcs-Git to https
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jan 2018 14:18:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mew-beta
 Section: mail
-Priority: extra
+Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev (>= 1:1.1.3)
+Build-Depends: debhelper (>= 10), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/mew-beta.git
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mew-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew-beta.git
 Homepage: http://www.mew.org/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 PACKAGE=`cat debian/PACKAGE`
 PKGSNAME=mew
+CHG_SUFFIX=`test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1`
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
@@ -24,7 +25,6 @@
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
 	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
 	ls -1 *dot.* > debian/examples
-	ls -1 info/mew.*info* > debian/info
 	touch $@
 
 build: build-arch build-indep
@@ -36,12 +36,15 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
+	cp -r info info.tmp && cd info.tmp && make info && make jinfo && rm -f *~
+	ls -1 info.tmp/mew.*info* > debian/info
 	touch $@
 
 clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
+	rm -rf info.tmp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
@@ -63,6 +66,7 @@
 	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
 	  fi; \
 	done
+	rm -f debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog$(CHG_SUFFIX)
 	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
 	if [ -d contrib ]; then \
 	  mkdir debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/contrib; \
@@ -99,7 +103,7 @@
 	dh_installemacsen
 	dh_installman 
 	dh_installinfo
-	dh_installchangelogs 00changes
+	dh_installchangelogs 00changes$(CHG_SUFFIX)
 	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/emacs/site-lisp/$(PKGSNAME)/etc
 	dh_compress
 	dh_fixperms
@@ -118,7 +122,7 @@
 	dh_installmenu
 	dh_installman
 	dh_installinfo
-	dh_installchangelogs 00changes
+	dh_installchangelogs 00changes$(CHG_SUFFIX)
 	dh_strip
 	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
 	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat

## mew-beta 7.0.50~6.7+0.20180528

=== debian/changelog ===
mew-beta (7.0.50~6.7+0.20180528-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.7+0.20180528
    - Support stunnel 5.45
  * Update 900_changes.patch
  * Don't recommend hyperestraier (closes: #895070)
  * Update debhelper compat version to 11
  * Drop emacs21
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 28 May 2018 23:01:39 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 10), zlib1g-dev (>= 1:1.1.3)
+Build-Depends: debhelper (>= 11), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mew-beta.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mew-beta.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/mew-beta
+Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/
 
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew
@@ -39,7 +39,8 @@
 Package: mew-beta-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: stunnel4 | stunnel, ca-certificates, hyperestraier, ruby, ruby-sqlite3
+Recommends: stunnel4 | stunnel, ca-certificates, ruby, ruby-sqlite3
+Suggests: hyperestraier
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
 Conflicts: mew-bin, mew-beta (<< 4)

## mew-beta 7.0.50~6.8%2B0.20190228

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20190228-1+deb10u1) buster; urgency=medium

  * New patch 070_checkhost.patch to enable checkHost for stunnel
    (closes: #950412)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 Feb 2020 18:43:08 +0900

mew-beta (7.0.50~6.8+0.20190228-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20190228
  * Update 900_changes.patch
  * Add lintian-overrides for usr/bin/incm

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 28 Feb 2019 20:45:20 +0900

mew-beta (7.0.50~6.8+0.20180710-3) unstable; urgency=medium

  [ YAMANAKA Hitoshi ]
  * debian/rules: chgrp mail + chmod g+s to /usr/bin/incm

  [ Tatsuya Kinoshita ]
  * New patch 040_incm-lock.patch to not unlock when incm can't get lock
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Jan 2019 00:30:43 +0900

mew-beta (7.0.50~6.8+0.20180710-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Update debian/watch to https
  * Update Standards-Version to 4.2.1
  * Set mew-delete-temp-file to nil in emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 27 Nov 2018 00:25:14 +0900

mew-beta (7.0.50~6.8+0.20180710-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20180710
  * Update 900_changes.patch
  * Check stamp file so that source file isn't newer
  * Add sensible-utils to Suggests
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 22 Aug 2018 21:53:16 +0900

mew-beta (7.0.50~6.8+0.20180607-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --host to ./configure

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Jun 2018 21:20:01 +0900

mew-beta (7.0.50~6.8+0.20180607-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20180607
  * Update 900_changes.patch
  * Handle symlinks for emacsen-startup
  * Drop unneeded mew.texi.old
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 07 Jun 2018 20:24:07 +0900

mew-beta (7.0.50~6.7+0.20180528-2) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 19:34:52 +0900

## mew-beta 7.0.50~6.8%2B0.20210131

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/;s/pre/~pre/" \
https://www.mew.org/Beta/mew-([0-9].*)\.tar\.gz debian uupdate
